Subject: [DMVR] Format for year-end Miata championship Topeka set

From: Karl Thacker <[email-masked]>
Date: Fri, 25 Jul 2003 06:51:28 -0500 (CDT)

http://www.motorsport.com/news/article.asp?ID=131072&SN=SCCA